Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 679338 - <sci-libs/mpir-3.0.0: cleanup (was: stabilisation)
Summary: <sci-libs/mpir-3.0.0: cleanup (was: stabilisation)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2019-03-03 16:18 UTC by Andreas Sturmlechner
Modified: 2021-03-05 01:04 UTC (History)
1 user (show)

See Also:
Package list:
sci-libs/mpir-3.0.0
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-03-03 16:18:24 UTC
Stable app-office/libalkimia has switched to mpir by default, but stable mpir-2.6.0-r2 is broken.

Adding only amd64 and x86 as needed by libalkimia, for there are issues on others(?). Arches, please stabilise.
Comment 1 Thomas Deutschmann gentoo-dev Security 2019-03-09 19:20:12 UTC
x86 stable
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-10 15:26:10 UTC
amd64 stable
Comment 3 Sam James archtester gentoo-dev Security 2021-02-26 20:59:19 UTC
Let's try again with the others.
Comment 4 Sam James archtester gentoo-dev Security 2021-02-26 21:59:13 UTC
s390 done
Comment 5 Sam James archtester gentoo-dev Security 2021-02-27 10:08:02 UTC
ppc64 done
Comment 6 Sam James archtester gentoo-dev Security 2021-02-27 10:09:08 UTC
ppc done
Comment 7 Sam James archtester gentoo-dev Security 2021-02-28 21:34:31 UTC
arm done
Comment 8 Sergei Trofimovich gentoo-dev 2021-03-01 19:55:58 UTC
hppa stable

Last arch. Closing.
Comment 9 Larry the Git Cow gentoo-dev 2021-03-05 01:04:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c1b43e0b973fd708c266a1c0a3f808c8d5505f2

commit 5c1b43e0b973fd708c266a1c0a3f808c8d5505f2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-03-05 01:04:04 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-03-05 01:04:04 +0000

    sci-libs/mpir: Drop 2.6.0-r2, EAPI5--
    
    Closes: https://bugs.gentoo.org/679338
    Package-Manager: Portage-3.0.16, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 sci-libs/mpir/Manifest                             |   1 -
 sci-libs/mpir/files/mpir-1.3.0-ABI-multilib.patch  | 145 ---------------------
 sci-libs/mpir/files/mpir-2.5.1-automake-1.12.patch |  95 --------------
 sci-libs/mpir/files/mpir-2.6.0-gcc48.patch         |  13 --
 sci-libs/mpir/files/mpir-2.6.0-yasm.patch          |  52 --------
 sci-libs/mpir/mpir-2.6.0-r2.ebuild                 |  63 ---------
 6 files changed, 369 deletions(-)